@charset "UTF-8";

@mixin btn-color($color, $background-color, $border-color){
	color: $color;
    background-color: $background-color;
    border-color: $border-color;
}

.btn{
    outline: 0;
	z-index: 1;
	position: relative;
    @include border-radius(2px);
	@include transition(all 300ms linear);
}

.btn-effect::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    width: 100%;
    height: 100%;
    // background-color: #25a25a;
    background-color: darken($etb-color-warning, 10%);
    filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=0);
    opacity: 0;
    @include transform(scale3d(0.7, 1, 1));
    @include transition(transform 0.4s, opacity 0.4s);
    @include animation-timing-function(cubic-bezier(0.2, 1, 0.3, 1));
}

.btn-effect, .btn-effect::before {
    @include animation-timing-function(cubic-bezier(0.2, 1, 0.3, 1));
}

.btn-effect:hover::before {
    filter: progid:DXImageTransform.Microsoft.Alpha(enabled=false);
    opacity: 1;
    @include transform(translate3d(0, 0, 0));
}

.btn-primary{
	@include btn-color(#fff,#0099cc,#0099cc);
    &:hover, &:active, &:focus{
    	@include btn-color(#fff,#0099cc,#007399);
    }
    &::before{
    	background-color: #007399;
    }
}

.btn-default{
	@include btn-color(#616161,#fff,rgba(0, 0, 0, 0.13));
	&:hover, &:active, &:focus{
    	@include btn-color(#616161,#fff,rgba(0, 0, 0, 0.13));
    }
	&::before{
		background-color: #e6e6e6;
	}
}

.btn-success {
	@include btn-color(#fff,$btn-success-color,$btn-success-color);
    &:hover, &:focus, &:active{
    	@include btn-color(#fff,#2ecc71,#25a25a);
    	outline: 0;
    }
}

.btn-warning {
    @include btn-color(#fff,$etb-color-warning,$etb-color-warning);
    &:hover, &:focus, &:active{
        @include btn-color(#fff,$etb-color-warning,$etb-color-primary);
        outline: 0;
    }
}

.btn-success.disable{
    background-color: #2ecc71;
    border-color: #2ecc71;
    opacity: .6!important;
    cursor: default;
    &:hover{
        border-color: #2ecc71;
        background-color: #2ecc71;
    }
    &::before{
        z-index: 1;
    }
}

button{
    background-color: #2ecc71;
    border-color: #2ecc71;
    color: #fff;
}
